<html>

<head>
	<link rel=stylesheet href=StyleSheet.css type=text/css>
	<title>TaskKit User's Guide</title>
</head>

<body>

<h1>TaskKit User's Guide</h1>
Version <!-- version --> X.Y <!-- /version -->
<br>Webware for Python <!-- version --> X.Y <!-- /version -->


<!--
<a name=TOC><h2>Table of Contents</h2></a>

<p> @@ TO DO
-->


<a name=Synopsis><h2>Synopsis</h2></a>

<p> TaskKit provides a framework for the scheduling and management of tasks which can be triggered periodically or at specific times. Tasks can also be forced to execute immediately, set on hold or rescheduled with a different period (even dynamically).


<a name=Feedback><h2>Feedback</h2></a>

<p> <p> You can e-mail <a href=mailto:webware-discuss@lists.sourceforge.net>webware-discuss@lists.sourceforge.net</a> to give feedback, discuss features and get help using TaskKit.


<a name=Introduction><h2>Introduction</h2></a>

<a name=Overview><h3>Overview</h3></a>

<p> Task Kit is brand new and does not have a real User's Guide yet. However, there are doc strings in the source code. Also, if you search WebKit for "task" you will find a real world use of this kit.

<p> <b>The development status of TaskKit is <i>alpha</i>.</b> You can expect API and usage changes in the next version. If you use TaskKit, we highly recommend that you stay in sync with the latest in-development Webware via <a href=https://sourceforge.net/cvs/?group_id=4866>CVS</a>. You should then re-read the latest docs, including this User's Guide and the <a href=TODO-TaskKit.text>TO DO list</a>.


<a name=KnownBugs><h2>Known Bugs</h2></a>

<p> Known bugs and future work in general, are documented in <a href=TODO-TaskKit.text>TO DO</a>.


<a name=Credit><h2>Credit</h2></a>

<p> Authors: Tom Schwaller, Jay Love


<p><hr>

</body>
</html>
